% Autor:
% Datum: 26.06.2018

:- use_module(kellerStorage,[kellerStorage/2]).
:- use_module(foResolution,[rprove/1]).

consistent(Context):-
    readings(Context,[R|Readings]),
    check_consistency(Readings,R,ConsReadings),
    print_readings(ConsReadings).

consistent_with_equality(Context):-
    readings(Context,Readings),
    Eq = and(all(X,=(X,X)),and(all(X,all(Y,imp(=(X,Y),=(Y,X)))),all(X,all(Y,all(Z,imp(and(=(X,Y),=(Y,Z)),=(X,Z) ) ) ) ) )),
    check_consistency(Readings,[Eq],ConsReadings),
    print_readings(ConsReadings).


readings([],[]).

readings([S|T],[R|Readings]):-
    kellerStorage(S,R),
    readings(T,Readings).

print_readings([]):-
    print('no more consistent readings').
    
print_readings([R|Readings]):-
    print(R),nl,
    print_readings(Readings).

% check_consistency(ListOfListofFormulas, OldListOfFormulas, NewListOfFormulas)

check_consistency([],Acc,Acc).

check_consistency([R|Readings],Acc,ConReadings):-
    consistent_readings(R,Acc,ConsAcc),
    check_consistency(Readings,ConsAcc,ConReadings).

% consistent_readings(ListOfReadings,ListOfOldReadings,ListOFNewReadings)
consistent_readings([],_,[]).

consistent_readings([R|RT],FormerReadings,ConsAccNew):-
    consistent(R,FormerReadings,NewReadings),
    append(NewReadings,ConsAcc,ConsAccNew),
    consistent_readings(RT,FormerReadings,ConsAcc).

%consistent(Formula,ListOfFormulas,NewListOfFormulas)

consistent(_F,[],[]).
consistent(F,[FO|TO],ConsNew):-
    rprove(not(and(F,FO))),!,
    consistent(F,TO,ConsNew).

consistent(F,[FO|TO],[and(F,FO)|ConsNew]):-
    consistent(F,TO,ConsNew).

